<?php

namespace Objectiv\Plugins\Checkout\Compatibility\Gateways;

use Objectiv\Plugins\Checkout\Compatibility\CompatibilityAbstract;

class Mercado extends CompatibilityAbstract {
	public function is_available(): bool {
		return defined( 'WC_MERCADOPAGO_BASENAME' );
	}

	public function typescript_class_and_params( array $compatibility ): array {
		$compatibility[] = array(
			'class'  => 'Mercado',
			'params' => array(),
		);

		return $compatibility;
	}
}
